# Command: getc

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    getc - Read single character from input stream.

Synopsis:

    istream getc -> istream integer

Description:

    getc reads a single character from the
      supplied input stream. The character is
      returned as integer. The mapping between
      characters and its numerical value is
      determined by the C++ compiler.

Diagnostics:

    Raises BadIOError

SeeAlso:

- gets
- getline

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/sli_io.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative